/**
 * Component to handle authentication state / refresh.
 */
export declare class CorejamIdentity {
  private formId;
  element: HTMLElement;
  loginLink: string;
  registerLink: string;
  dropdown: boolean;
  handleClick(ev: MouseEvent): void;
  componentWillLoad(): void;
  /**
   * Based on the token expiry we send a refresh request which
   * includes the refreshToken from cookies
   */
  setRefreshTimer(): void;
  toggleMenu: () => void;
  logOut: () => void;
  formEventHandler({ detail }: {
    detail: any;
  }): Promise<void>;
  render(): any;
}
